# api/router.py
from fastapi import APIRouter
from .device import router as devices_router
from .model import router as models_router
from .device_model_realtion import router as device_model_relation_router
from .scene import router as scene_router
from .device_scene_realtion import router as device_scene_relation_router
from .frame import router as frame_router
from .data_gas import router as gas_router
from .control import router as control_router
from .push_config import router as push_config_router
from .display import router as display_router

# 创建一个全局的 router
router = APIRouter()

# 将各个模块的 router 注册到全局 router 中
router.include_router(devices_router, prefix="/device", tags=["Devices"])
router.include_router(models_router, prefix="/model", tags=["Models"])
router.include_router(device_model_relation_router, prefix="/device_model_relation", tags=["DeviceModelRelations"])
router.include_router(scene_router, prefix="/scene", tags=["Scene"])
router.include_router(device_scene_relation_router, prefix="/device_scene_relation", tags=["DeviceSceneRelations"])
router.include_router(frame_router, prefix="/frame", tags=["DeviceFrame"])
router.include_router(gas_router, prefix="/gas", tags=["DataGas"])
router.include_router(control_router, prefix="/control", tags=["Control"])
router.include_router(push_config_router, prefix="/push", tags=["PushConfig"])
router.include_router(display_router, prefix="/display", tags=["Display"])
